# DistanceRequest.java

    package io.github.js0ny.ilp_coursework.data.request;

    import io.github.js0ny.ilp_coursework.data.common.LngLat;

    /**
     * Represents the data transfer object for a distance operation request.
     *
     * <p>This record encapsulates the data for several endpoints that involves two {@code LngLatDto}
     * and serves as the data contract for those API operation
     *
     * @param position1 Nested object of {@link LngLat}
     * @param position2 Nested object of {@link LngLat}
     */
    public record DistanceRequest(LngLat position1, LngLat position2) {}